Bug 246289 - Review Request: atanks - Remake of a classic DOS game "Scorched Earth"
Summary: Review Request: atanks - Remake of a classic DOS game "Scorched Earth"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-29 20:15 UTC by Konstantin Ryabitsev
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version: 2.4-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 18:13:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2007-06-29 20:15:49 UTC
Spec URL: http://blues.mcgill.ca/~icon/fe/atanks.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/atanks-2.4-0.1.fc7.src.rpm
Description: 
Atomic Tanks is a game in which you control an overly-powerful
tank and attempt to blow up other highly powerful tanks. Players
get to select a number of weapons and defensive items and then
attack each other in a turn-based manner. The last tank standing
is the winner.

Comment 1 Marek Mahut 2007-06-29 21:24:53 UTC
Cool, nice work.

+ source files match upstream:
  c949306b0ad5ff7a006d932261c7e86e  /usr/src/redhat/SOURCES/atanks-2.4.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible. 
+ latest version is being packaged.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
  [root@storm atanks]# rpm -qp --provides
/usr/src/redhat/RPMS/i386/atanks-2.4-0.1.fc8.i386.rpm 
  atanks = 2.4-0.1.fc8
  [root@storm atanks]# rpm -qp --requires
/usr/src/redhat/RPMS/i386/atanks-2.4-0.1.fc8.i386.rpm
  liballeg.so.4.2  
  libc.so.6  
  libc.so.6(GLIBC_2.0)  
  libc.so.6(GLIBC_2.1)  
  libc.so.6(GLIBC_2.1.3)  
  libc.so.6(GLIBC_2.4)  
  libgcc_s.so.1  
  libgcc_s.so.1(GCC_3.0)  
  libm.so.6  
  libm.so.6(GLIBC_2.0)  
  libstdc++.so.6  
  libstdc++.so.6(CXXABI_1.3)  
  libstdc++.so.6(GLIBCXX_3.4)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rtld(GNU_HASH)  
  [root@storm atanks]# 
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ desktop file is correct

Everything seems to be correct.

APPROVED

Comment 2 Konstantin Ryabitsev 2007-06-30 18:06:30 UTC
New Package CVS Request
=======================
Package Name: atanks
Short Description: Remake of a classic DOS game "Scorched Earth"
Owners: icon@fedoraproject.org
Branches: FC-6 F-7


Comment 3 Kevin Fenzi 2007-07-02 18:31:03 UTC
cvs done.

Comment 4 Konstantin Ryabitsev 2007-07-03 12:43:12 UTC
Built -- should show up in f8 and f7-testing in the near future. Thanks, all!

Comment 5 Fedora Update System 2007-07-03 16:18:55 UTC
atanks-2.4-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-07-06 18:13:40 UTC
atanks-2.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.